<?php
/*
-----------------------------------------
Автор: -=КотЭ=-(-=MTV=-) и Shot(Robber)
Бесплатный WAP движок: Strongcms
Контакты: 0664452670(МТС) ибо ICQ(7296000)
Файл: blog.php
-------------------------------------------
*/
//-----Создаем титл страницы-----//
$title = 'Блоги';
//-----Подключаем функции-----//
require_once ('system/function.php');
//-----Подключаем вверх-----//
require_once ('system/header.php');

if(!$user['id']) {
header('Location: '.$HOME.'');
exit();
}

switch($_GET['act'])
{
default:
echo '<div class="title">Блоги</div>';

echo '<div class="links">
<img src="'.$HOME.'/images/myblog.png" alt="*" /> Мои: <a href="'.$HOME.'/blog/myblog/">блоги</a> | <a href="'.$HOME.'/blog/mycom/">комментарии</a><br />
<img src="'.$HOME.'/images/search_meta.png" alt="*" /> <a href="'.$HOME.'/blog/search_meta/">Поиск по меткам</a>
</div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_r`"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$blog_r = mysql_query("SELECT * FROM `blog_r` ORDER BY `id` DESC LIMIT $start, $max");
while($bl = mysql_fetch_assoc($blog_r))
{
echo '<div class="podmenu"><img src="'.$HOME.'/images/dir.png" alt="*" /> <a href="'.$HOME.'/blog/razdel_'.$bl['id'].'">'.$bl['name'].'</a> ('.mysql_result(mysql_query("SELECT COUNT(id) FROM `blog_stat` WHERE `razdel` = '".$bl['id']."'"),0).')';
if($user['level'] == 3) {echo ' [<a href="'.$HOME.'/blog/delrazdel_'.$bl['id'].'">уд.</a>|<a href="'.$HOME.'/blog/uprazdel_'.$bl['id'].'">ред.</a>]';}
echo '</div>';
}

if($k_post < 1) echo '<div class="podmenu"><center><b>Разделов пока нет!</b></center></div>';
if($user['level'] >= 3) echo '<div class="links"><img src="'.$HOME.'/images/add.png" alt="*" /> <a href="'.$HOME.'/blog/addrazdel/"><b>Создать раздел</b></a></div>';
if($k_page>1) echo str(''.$HOME.'/blog/?',$k_page,$page); // Вывод страниц

break;
case 'delrazdel':

$id = abs(intval($_GET['id']));
$blog = mysql_fetch_assoc(mysql_query("SELECT * FROM `blog_r` WHERE `id` = '".$id."'"));
$blog_c = mysql_fetch_assoc(mysql_query("SELECT * FROM `blog_stat` WHERE `id` = '".$blog['razdel']."'"));

if($blog == 0) {
echo '<div class="title">Блоги | Ошибка</div><div class="podmenu"><center><b>Такой раздел не существует!</b></center></div>';
require_once ('system/footer.php');
exit();
}

if($user['level'] != 3) {
header('Location: '.$HOME.'/blog/');
exit();
}

if(isset($_REQUEST['okdel'])) {
mysql_query("DELETE FROM `blog_stat` WHERE `razdel` = '".$blog['id']."'");
mysql_query("DELETE FROM `blog_r` WHERE `id` = '".$blog['id']."'");
mysql_query("DELETE FROM `blog_com` WHERE `blog` = '".$blog_c['id']."'");
header('Location: '.$HOME.'/blog/');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/blog/">Блоги</a> | Удалить раздел</div>
<div class="podmenu">Вы действительно хотите удалить этот раздел?<br /><a href="'.$HOME.'/blog/delrazdel_'.$blog['id'].'?okdel">Да</a></div>';

break;
case 'uprazdel':

$id = abs(intval($_GET['id']));
$blog = mysql_fetch_assoc(mysql_query("SELECT * FROM `blog_r` WHERE `id` = '".$id."'"));

if($blog == 0) {
echo '<div class="title">Блоги | Ошибка</div><div class="podmenu"><center><b>Такой раздел не существует!</b></center></div>';
require_once ('system/footer.php');
exit();
}

if($user['level'] != 3) {
header('Location: '.$HOME.'/blog/');
exit();
}

if(isset($_REQUEST['okup'])) {

$name = strong($_POST['name']);

if(empty($name)) {
echo '<div class="podmenu"><center><b>Введите название раздела!</b></center></div>';
require_once ('system/footer.php');
exit();
}

if(mb_strlen($name) < 3 or mb_strlen($name) > 30) {
echo '<div class="podmenu"><center><b>Введите название от 3 до 30 символов!</b></center></div>';
require_once ('system/footer.php');
exit();
}

mysql_query("UPDATE `blog_r` SET `name` = '".$name."' WHERE `id` = '".$blog['id']."'");
header('Location: '.$HOME.'/blog/');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/blog/">Блоги</a> | Редактировать раздел</div>';
echo '<div class="podmenu">Название раздела должно быть от 3-х до 30-ти символов!</div><div class="podmenu">
<form action="" method="POST">
*Название раздела:<br /><input type="text" name="name" maxlength="30"><br />
<input type="submit" name="okup" value="Изменить" />
</form></div>';

break;
case 'addr':

if($user['level'] < 3) {
header('Location: '.$HOME.'/blog/');
exit();
}

echo '<div class="title">Блоги | Новый раздел</div>';

if(isset($_REQUEST['ok'])) {

$name = strong($_POST['name']);

if(empty($name)) {
echo '<div class="podmenu"><center><b>Введите название раздела!</b></center></div>';
require_once ('system/footer.php');
exit();
}

if(mb_strlen($name) < 3 or mb_strlen($name) > 30) {
echo '<div class="podmenu"><center><b>Введите название от 3 до 30 символов!</b></center></div>';
require_once ('system/footer.php');
exit();
}

$bn = mysql_fetch_array(mysql_query('select * from `blog_r` where  `name` = "'.$name.'"'));
if($bn != 0) {
echo '<div class="podmenu"><center><b>Такой раздел уже существует!</b></center></div>';
require_once ('system/footer.php');
exit();
}

mysql_query("INSERT INTO `blog_r` SET `name` = '".$name."'");
echo '<div class="podmenu"><center><b>Раздел успешно создан!</b></center></div>';
}

echo '<div class="podmenu">
<form action="" method="POST">
*Название раздела:<br /><input type="text" name="name" maxlength="30" /><br />
<input type="submit" name="ok" value="Создать">
</form></div>';

echo '<div class="links">» <a href="'.$HOME.'/blog/">В блоги</a></div>';

break;
case 'razdel':

$id = abs(intval($_GET['id']));
$blog = mysql_fetch_assoc(mysql_query("SELECT * FROM `blog_r` WHERE `id` = '".$id."'"));

if($blog == 0) {
echo '<div class="title">Блоги | Ошибка</div><div class="podmenu"><center><b>Такого раздела не существует!</b></center></div>';
require_once ('system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/blog/">Блоги</a> | '.$blog['name'].'</div>';
echo '<div class="links"><img src="'.$HOME.'/images/add.png" alt="*" /> <a href="'.$HOME.'/blog/addblog_'.$id.'"><b>Написать</b></a></div>';
if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_stat` WHERE `razdel` = '".$id."'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$blog_stat = mysql_query("SELECT * FROM `blog_stat` WHERE `razdel` = '".$id."' ORDER BY `time` DESC LIMIT $start, $max");
while($bs = mysql_fetch_assoc($blog_stat))
{
echo '<div class="podmenu">
<img src="'.$HOME.'/images/stat.png" alt="*" /> <a href="'.$HOME.'/blog/stat_'.$bs['id'].'">'.$bs['titlename'].'</a>
<br />
Автор: '.nick($bs['avtor']).' ('.vremja($bs['time']).')<br />
Просмотров: '.$bs['readlen'].'<br />
<a href="'.$HOME.'/blog/comment_'.$bs['id'].'">Комментарии</a> ('.mysql_result(mysql_query("SELECT COUNT(id) FROM `blog_com` WHERE `blog` = '".$bs['id']."'"),0).')
</div>';
}

if($k_post < 1) echo '<div class="podmenu"><center><b>В этом разделе еще нет статей!</b></center></div>';
if($k_page>1) echo str(''.$HOME.'/blog/razdel_'.$id.'?',$k_page,$page); // Вывод страниц

break;
case 'addblog':

$id = abs(intval($_GET['id']));
$blog = mysql_fetch_assoc(mysql_query("SELECT * FROM `blog_r` WHERE `id` = '".$id."'"));

if($blog == 0) {
echo '<div class="title">Блоги | Ошибка</div><div class="podmenu"><center><b>Такого раздела не существует!</b></center></div>';
require_once ('system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/blog/">Блоги</a> | Написать</div>';

if(isset($_REQUEST['ok'])) {

$titlename = strong($_POST['titlename']);
$text = strong($_POST['text']);
$meta = strong($_POST['meta']);

if(empty($titlename)) {
echo '<div class="podmenu"><center><b>Введите заголовок блога!</b></center></div>';
require_once ('system/footer.php');
exit();
}

if(mb_strlen($titlename) < 3 or mb_strlen($titlename) > 100) {
echo '<div class="podmenu"><center><b>Введите заголовок блога от 3 до 100 символов!</b></center></div>';
require_once ('system/footer.php');
exit();
}

if(empty($text)) {
echo '<div class="podmenu"><center><b>Введите текст блога!</b></center></div>';
require_once ('system/footer.php');
exit();
}

if(mb_strlen($text) < 3) {
echo '<div class="podmenu"><center><b>Введите текст блога от 3 символов!</b></center></div>';
require_once ('system/footer.php');
exit();
}

if(empty($meta)) {
echo '<div class="podmenu"><center><b>Введите метки дял блога!</b></center></div>';
require_once ('system/footer.php');
exit();
}

if(mb_strlen($meta) < 3 or mb_strlen($meta) > 100) {
echo '<div class="podmenu"><center><b>Введите метки для блога от 3 до 100 символов!</b></center></div>';
require_once ('system/footer.php');
exit();
}

$bn = mysql_fetch_array(mysql_query('select * from `blog_stat` where  `titlename` = "'.$titlename.'" and `text` = "'.$text.'"'));
if($bn != 0) {
echo '<div class="podmenu"><center><b>Такой блог уже существует!</b></center></div>';
require_once ('system/footer.php');
exit();
}

mysql_query("INSERT INTO `blog_stat` SET `titlename` = '".$titlename."', `text` = '".$text."', `meta` = '".$meta."', `razdel` = '".$id."', `avtor` = '".$user['id']."', `time` = '".time()."', `readlen` = '0'");
$self = mysql_insert_id();
header('Location: '.$HOME.'/blog/stat_'.$self.'');
exit();
}

echo '<div class="podmenu">Метки статьи должны быть от 3 до 100 символов!</div>
<div class="podmenu"><form action="" method="POST">
*Заголовок:<br /><input type="text" name="titlename" maxlength="100" /><br />
*Текст:<br /><textarea name="text"></textarea><br />
*Метки:<br /><input type="text" name="meta" maxlength="100" /><br />
<input type="submit" name="ok" value="Написать" />
</form></div>
<div class="links">» <a href="'.$HOME.'/blog/razdel_'.$id.'">В разделы</a></div>';

break;
case 'stat':

$id = abs(intval($_GET['id']));
$blog = mysql_fetch_assoc(mysql_query("SELECT * FROM `blog_stat` WHERE `id` = '".$id."'"));

if($blog == 0) {
echo '<div class="title">Блоги | Ошибка</div><div class="podmenu"><center><b>Такой статтьи не существует!</b></center></div>';
require_once ('system/footer.php');
exit();
}

/*** Упдейт ***/
mysql_query("UPDATE `blog_stat` SET `readlen` = `readlen`+1 WHERE `id` = '".$blog['id']."'");
/*** Упдейт ***/

echo '<div class="title"><a href="'.$HOME.'/blog/">Блоги</a> | Статья</div>';

if(isset($_REQUEST['update'])) {

if($user['id'] != $blog['avtor'] && $user['level'] < 1) {
header('Location: '.$HOME.'/blog/stat_'.$blog['id'].'');
exit();
}

if(isset($_REQUEST['okup'])) {

$titlename = strong($_POST['titlename']);
$text = strong($_POST['text']);
$meta = strong($_POST['meta']);

if(empty($titlename)) {
echo '<div class="podmenu"><center><b>Введите заголовок блога!</b></center></div>';
require_once ('system/footer.php');
exit();
}

if(mb_strlen($titlename) < 3 or mb_strlen($titlename) > 100) {
echo '<div class="podmenu"><center><b>Введите заголовок блога от 3 до 100 символов!</b></center></div>';
require_once ('system/footer.php');
exit();
}

if(empty($text)) {
echo '<div class="podmenu"><center><b>Введите текст блога!</b></center></div>';
require_once ('system/footer.php');
exit();
}

if(mb_strlen($text) < 3) {
echo '<div class="podmenu"><center><b>Введите текст блога от 3 символов!</b></center></div>';
require_once ('system/footer.php');
exit();
}

if(empty($meta)) {
echo '<div class="podmenu"><center><b>Введите метки дял блога!</b></center></div>';
require_once ('system/footer.php');
exit();
}

if(mb_strlen($meta) < 3 or mb_strlen($meta) > 100) {
echo '<div class="podmenu"><center><b>Введите метки для блога от 3 до 100 символов!</b></center></div>';
require_once ('system/footer.php');
exit();
}

$bn = mysql_fetch_array(mysql_query('select * from `blog_stat` where  `titlename` = "'.$titlename.'" and `text` = "'.$text.'"'));
if($bn != 0) {
echo '<div class="podmenu"><center><b>Такой блог уже существует!</b></center></div>';
require_once ('system/footer.php');
exit();
}

mysql_query("UPDATE `blog_stat` SET `titlename` = '".$titlename."', `text` = '".$text."', `meta` = '".$meta."' WHERE `id` = '".$blog['id']."'");
header('Location: '.$HOME.'/blog/stat_'.$blog['id'].'');
exit();
}

echo '<div class="podmenu">Метки статьи должны быть от 3 до 100 символов!</div>
<div class="podmenu"><form action="" method="POST">
*Заголовок:<br /><input type="text" name="titlename" maxlength="100" value="'.$blog['titlename'].'" /><br />
*Текст:<br /><textarea name="text">'.bb($blog['text']).'</textarea><br />
*Метки:<br /><input type="text" name="meta" maxlength="100" value="'.$blog['meta'].'" /><br />
<input type="submit" name="okup" value="Изменить" />
</form></div>
<div class="links">» <a href="'.$HOME.'/blog/stat_'.$blog['id'].'">Назад</a></div>';

require_once ('system/footer.php');
exit();
}

if(isset($_REQUEST['delete'])) {

if($user['id'] != $blog['avtor'] && $user['level'] < 1) {
header('Location: '.$HOME.'/blog/stat_'.$blog['id'].'');
exit();
}

mysql_query("DELETE FROM `blog_stat` where `id` = '".$blog['id']."'");
mysql_query("DELETE FROM `blog_com` where `blog` = '".$blog['id']."'");
header('Location: '.$HOME.'/blog/');
exit();
}

if($user['id'] == $blog['avtor'] or $user['level'] > 1) echo '<div class="podmenu"><center><a href="'.$HOME.'/blog/stat_'.$id.'?update"><b>Редактировать</b></a> | <a href="'.$HOME.'/blog/stat_'.$id.'?delete"><b>Удалить</b></a></center></div>';

echo '<div class="podmenu">
<img src="'.$HOME.'/images/stat.png" alt="*" /> <b>'.$blog['titlename'].'</b>
</div><div class="podmenu">
'.$blog['text'].'
</div>
<div class="podmenu">
<b>Метки:</b> '.$blog['meta'].'
</div>
<div class="podmenu">
Автор: '.nick($blog['avtor']).' ('.vremja($blog['time']).')<br />
<img src="'.$HOME.'/images/aug.png" alt="*" /> Просмотров: '.$blog['readlen'].'
<br />
<a href="'.$HOME.'/blog/comment_'.$blog['id'].'">Комментарии</a> ('.mysql_result(mysql_query("SELECT COUNT(id) FROM `blog_com` WHERE `blog` = '".$blog['id']."'"),0).')
<br />';

$reit_a = mysql_fetch_array(mysql_query('select * from `blog_reit` where `stat` = '.$id.' and `kto` = "'.$user['id'].'"'));

$reit = mysql_result(mysql_query('select count(`id`) from `blog_reit` where `stat`= "'.$id.'" and `r` = "1"'),0)
-
mysql_result(mysql_query('select count(`id`) from `blog_reit` where  `stat`= "'.$id.'" and `r` = "2"'),0);

echo 'Рейтинг: ';
if($user['id'] != $blog['avtor'] && $reit_a == 0) echo '<a href="'.$HOME.'/blog/plus_stat'.$blog['id'].'"><img src="'.$HOME.'/images/plus.png" alt="*" /></a> ';

if($reit < 0) echo '<font color="red"><b>'.$reit.'</b></font>';
if($reit == 0) echo '<font color="red"><b>0</b></font>';
if($reit > 0)  echo '<font color="green"><b>'.$reit.'</b></font>';

if($user['id'] != $blog['avtor'] && $reit_a == 0) echo ' <a href="'.$HOME.'/blog/minus_stat'.$blog['id'].'"><img src="'.$HOME.'/images/minus.png" alt="*" /></a>';

echo '</div>';

break;
case 'plus':

$id = abs(intval($_GET['id']));
$blog = mysql_fetch_assoc(mysql_query("SELECT * FROM `blog_stat` WHERE `id` = '".$id."'"));
$reit_a = mysql_fetch_array(mysql_query('select * from `blog_reit` where `stat` = '.$id.' and `kto` = "'.$user['id'].'"'));

if($user['id'] != $blog['avtor'] && $reit_a == 0) {
mysql_query("INSERT INTO `blog_reit` SET `stat` = '".$id."', `kto` = '".$user['id']."', `r` = '1' ");
header('Location: '.$HOME.'/blog/stat_'.$id.'');
exit();
} else {
header('Location: '.$HOME.'/blog/stat_'.$id.'');
exit();
}

break;
case 'minus':

$id = abs(intval($_GET['id']));
$blog = mysql_fetch_assoc(mysql_query("SELECT * FROM `blog_stat` WHERE `id` = '".$id."'"));
$reit_a = mysql_fetch_array(mysql_query('select * from `blog_reit` where `stat` = '.$id.' and `kto` = "'.$user['id'].'"'));

if($user['id'] != $blog['avtor'] && $reit_a == 0) {
mysql_query("INSERT INTO `blog_reit` SET `stat` = '".$id."', `kto` = '".$user['id']."', `r` = '2' ");
header('Location: '.$HOME.'/blog/stat_'.$id.'');
exit();
} else {
header('Location: '.$HOME.'/blog/stat_'.$id.'');
exit();
}

break;
case 'comment':

$id = abs(intval($_GET['id']));
$blog = mysql_fetch_assoc(mysql_query("SELECT * FROM `blog_stat` WHERE `id` = '".$id."'"));

if($blog == 0) {
echo '<div class="title">Блоги | Ошибка</div><div class="podmenu"><center><b>Такой статтьи не существует!</b></center></div>';
require_once ('system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/blog/">Блоги</a> | Комментарии</div>';

if(isset($_REQUEST['ok'])) {

$msg = strong($_POST['msg']);

if(empty($msg)) {
echo '<div class="podmenu"><center><b>Введите сообщение!</b></center></div>';
require_once ('system/footer.php');
exit();
}

if(mb_strlen($msg) < 3) {
echo '<div class="podmenu"><center><b>Введите сообщение от 3-х символов!</b></center></div>';
require_once ('system/footer.php');
exit();
}

$ttte = mysql_fetch_array(mysql_query('select * from `blog_com` where `avtor` = "'.$user['id'].'" and `msg` = "'.$msg.'"'));
if($ttte != 0) {
echo '<div class="podmenu"><center><b>Вы такое сообщение уже писали!</b></center></div>';
require_once ('system/footer.php');
exit();
}

$tim = mysql_query("SELECT * FROM `blog_com` WHERE `avtor`='".$user['id']."' ORDER BY `time` DESC");
while($ncm2 = mysql_fetch_assoc($tim)){  
$news_antispam = mysql_fetch_assoc(mysql_query("SELECT * FROM `antispam`"));
$ncm_timeout = $ncm2['time'];
if((time()-$ncm_timeout) < $news_antispam['blog'])
{
echo '<div class="podmenu"><center><b>Пишите не чаще чем раз в '.$news_antispam['blog'].' секунд!</b></center></div>';
require_once ('system/footer.php');
exit();
}
}

mysql_query("INSERT INTO `blog_com` SET `msg` = '".$msg."', `avtor` = '".$user['id']."', `blog` = '".$blog['id']."', `avtorlogin` = '".$user['login']."', `time` = '".time()."'");
if($user['id'] != $blog['avtor'])
{
mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$blog['avtor']."', `kto` = '".$user['id']."', `text` = 'написал комментарий к вашему [url=".$HOME."/blog/comment_".$blog['id']."]блогу[/url]'");
}
header('Location: '.$HOME.'/blog/comment_'.$blog['id'].'');
exit();
}

echo '<div class="podmenu">
<img src="'.$HOME.'/images/stat.png" alt="*" /> <b>'.$blog['titlename'].'</b> <br />'.$blog['text'].'
</div>';

echo '<div class="podmenu"><form action="" method="POST">
*Сообщение:<br /><textarea name="msg"></textarea><br />
<input type="submit" name="ok" value="Написать" />
</form></div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_com` WHERE `blog` = '".$blog['id']."'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$com = mysql_query("SELECT * FROM `blog_com` WHERE `blog` = '".$blog['id']."' ORDER BY `time` DESC LIMIT $start, $max");
while($c = mysql_fetch_assoc($com))
{
echo '<div class="links">'.nick($c['avtor']).' ('.vremja($c['time']).')';

if($user['id'] != $c['avtor']) {echo ' [<a href="'.$HOME.'/blog/otvet_'.$c['id'].'">отв</a>]';}
if($user['level'] > 1) {echo '[<a href="'.$HOME.'/blog/delmsg_'.$c['id'].'">уд</a>]';}

echo '</div><div class="podmenu">'.bb($c['msg']).'</div>';
}

if($k_post < 1) echo '<div class="podmenu"><center><b>Комментарий пока нет!</b></center></div>';

echo '<div class="links">» <a href="'.$HOME.'/blog/stat_'.$blog['id'].'">Назад</a></div>';

if($k_page>1) echo str(''.$HOME.'/blog/comment_'.$blog['id'].'/?',$k_page,$page); // Вывод страниц

break;
case 'delmsg':

$id = abs(intval($_GET['id']));
$blog = mysql_fetch_assoc(mysql_query("SELECT * FROM `blog_com` WHERE `id` = '".$id."'"));

if($blog == 0) {
echo '<div class="title"><a href="'.$HOME.'/blog/">Блоги</a> | Ошибка</div><div class="podmenu"><center><b>Такого комментария не существует!</b></center></div>';
require_once ('system/footer.php');
exit();
}

if($user['level'] < 1) {
header('Location: '.$HOME.'/blog/comment_'.$blog[blog].'');
exit();
}

if(isset($_REQUEST['okdelmsg'])) {
mysql_query("DELETE FROM `blog_com` where `id` = '".$blog['id']."'");
header('Location: '.$HOME.'/blog/comment_'.$blog[blog].'');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/blog/">Блоги</a> | Удалить комментарий</div>
<div class="podmenu">Вы действительно хотите удалить этот комментарий?<br /><a href="'.$HOME.'/blog/delmsg_'.$blog['id'].'?okdelmsg">Да</a></div>';

break;
case 'otvet':

$id = abs(intval($_GET['id']));
$blog = mysql_fetch_assoc(mysql_query("SELECT * FROM `blog_com` WHERE `id` = '".$id."'"));

if($blog == 0) {
echo '<div class="title"><a href="'.$HOME.'/blog/">Блоги</a> | Ошибка</div><div class="podmenu"><center><b>Такого комментария не существует!</b></center></div>';
require_once ('system/footer.php');
exit();
}

if($user['id'] == $blog['avtor']) {
header('Location: '.$HOME.'/blog/comment_'.$blog['blog'].'');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/blog/">Блоги</a> | Ответ</div>';

if(isset($_REQUEST['ok'])) {

$msg = strong($_POST['msg']);

if(empty($msg)) {
echo '<div class="podmenu"><center><b>Введите сообщение!</b></center></div>';
require_once ('system/footer.php');
exit();
}

if(mb_strlen($msg) < 3) {
echo '<div class="podmenu"><center><b>Введите сообщение от 3-х символов!</b></center></div>';
require_once ('system/footer.php');
exit();
}

$ttte = mysql_fetch_array(mysql_query('select * from `blog_com` where `avtor` = "'.$user['id'].'" and `msg` = "'.$msg.'"'));
if($ttte != 0) {
echo '<div class="podmenu"><center><b>Вы такое сообщение уже писали!</b></center></div>';
require_once ('system/footer.php');
exit();
}

$tim = mysql_query("SELECT * FROM `blog_com` WHERE `avtor`='".$user['id']."' ORDER BY `time` DESC");
while($ncm2 = mysql_fetch_assoc($tim)){  
$news_antispam = mysql_fetch_assoc(mysql_query("SELECT * FROM `antispam`"));
$ncm_timeout = $ncm2['time'];
if((time()-$ncm_timeout) < $news_antispam['blog'])
{
echo '<div class="podmenu"><center><b>Пишите не чаще чем раз в '.$news_antispam['blog'].' секунд!</b></center></div>';
require_once ('system/footer.php');
exit();
}
}

mysql_query("INSERT INTO `blog_com` SET `msg` = '[b]".$blog['avtorlogin'].",[/b]".$msg."', `avtor` = '".$user['id']."', `blog` = '".$blog['blog']."', `avtorlogin` = '".$user['login']."', `time` = '".time()."'");
mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$blog['avtor']."', `kto` = '".$user['id']."', `text` = 'ответил на Ваш комментариий к [url=".$HOME."/blog/comment_".$blog['blog']."]блогу[/url]'");
header('Location: '.$HOME.'/blog/comment_'.$blog['blog'].'');
exit();
}

echo '<div class="podmenu">Ответ: '.nick($blog['avtor']).'</div>';
echo '<div class="podmenu">
<form action="" method="POST">
*Сообщение:<br /><textarea name="msg"></textarea><br />
<input type="submit" name="ok" value="Написать" />
</form></div>';

echo '<div class="links">» <a href="'.$HOME.'/blog/comment_'.$blog['blog'].'">Назад</a></div>';

break;
case 'myblog':

echo '<div class="title"><a href="'.$HOME.'/blog/">Блоги</a> | Мои блоги</div>';
if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_stat` WHERE `avtor` = '".$user['id']."'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$my = mysql_query("SELECT * FROM `blog_stat` WHERE `avtor` = '".$user['id']."' ORDER BY `time` DESC LIMIT $start, $max");
while($m = mysql_fetch_assoc($my))
{
echo '<div class="podmenu"><img src="'.$HOME.'/images/stat.png" alt="*" /> <a href="'.$HOME.'/blog/stat_'.$m['id'].'"><b>'.$m['titlename'].'</b></a><br />
Автор: '.nick($m['avtor']).' ('.vremja($m['time']).')<br />
Просмотров: '.$m['readlen'].'<br />
<a href="'.$HOME.'/blog/comment_'.$m['id'].'">Комментарии</a> ('.mysql_result(mysql_query("SELECT COUNT(id) FROM `blog_com` WHERE `blog` = '".$m['id']."'"),0).')
</div>';
}

if($k_post < 1) echo '<div class="podmenu"><center><b>Ваших блогов пока нет!</b></center></div>';
if($k_page>1) echo str(''.$HOME.'/blog/myblog/?',$k_page,$page); // Вывод страниц

echo '<div class="links">» <a href="'.$HOME.'/blog/">Назад в блоги</a></div>';

break;
case 'mycom':

echo '<div class="title"><a href="'.$HOME.'/blog/">Блоги</a> | Мои комментарии</div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_com` WHERE `avtor` = '".$user['id']."'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$mycom = mysql_query("SELECT * FROM `blog_com` WHERE `avtor` = '".$user['id']."' ORDER BY `id` DESC LIMIT $start, $max");
while($m = mysql_fetch_assoc($mycom))
{
$blog = mysql_fetch_assoc(mysql_query("SELECT * FROM `blog_stat` WHERE `id` = '".$m['blog']."'"));
echo '<div class="links">
'.nick($m['avtor']).' ('.vremja($m['time']).')<br />
<img src="'.$HOME.'/images/stat.png" alt="*" /> <a href="'.$HOME.'/blog/stat_'.$blog['id'].'">'.$blog['titlename'].'</a>
</div>
<div class="podmenu">
'.bb($m['msg']).'
</div>';
}

if($k_post < 1) echo '<div class="podmenu"><center><b>Ваших комментарий пока нет!</b></center></div>';
if($k_page>1) echo str(''.$HOME.'/blog/mycom/?',$k_page,$page); // Вывод страниц

echo '<div class="links">» <a href="'.$HOME.'/blog/">Назад в блоги</a></div>';

break;
case 'search_m':

echo '<div class="title"><a href="'.$HOME.'/blog/">Блоги</a> | Поиск</div>
<div class="podmenu">Вводите метку от 2-х до 100-а символов!</div>
<div class="podmenu"><form action="" method="POST">
*Метки поиска:<br /><input type="text" name="met" maxlength="100" /><br />
<input type="submit" name="ok" value="Искать" />
</form></div>';

if(isset($_REQUEST['ok'])) {

$met = strong($_POST['met']);

if(empty($met)) {
echo '<div class="podmenu"><center><b>Введите метки поиска!</b></center></div>';
require_once ('system/footer.php');
exit();
}

if(strlen($met) < 3 or mb_strlen($met) > 100) {
echo '<div class="podmenu"><center><b>Введите метку от 2-х до 100-а символов!</b></center></div>';
require_once ('system/footer.php');
exit();
}

//***** Записуем поиски *****//
mysql_query("INSERT INTO `blog_search` SET `meta` = '".$met."', `kto`  = '".$user['login']."'");
//***** Записуем поиски *****//

echo '<div class="menu">Результаты поиска:</div>';

$search = mysql_query("SELECT * FROM `blog_stat` where `meta` LIKE '%".$met."%' ORDER BY `time` DESC ");
$sql = mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_stat` where `meta` LIKE '%".$met."%' "),0);

while($s = mysql_fetch_assoc($search)){
echo '<div class="podmenu"><img src="'.$HOME.'/images/stat.png" alt="*" /> <a href="'.$HOME.'/blog/stat_'.$s['id'].'">'.$s['titlename'].'</a>
<br />
Автор: '.nick($s['avtor']).' ('.vremja($s['time']).')<br />
Просмотров: '.$s['readlen'].'<br />
<a href="'.$HOME.'/blog/comment_'.$s['id'].'">Комментарии</a> ('.mysql_result(mysql_query("SELECT COUNT(id) FROM `blog_com` WHERE `blog` = '".$s['id']."'"),0).')
</div>';
}
}

/* Если никого на нашли */
if($sql == 0) echo '<div class="podmenu"><center><b>По вашему запросу ничего не найдено!</b></center></div>';
/* Если никого на нашли */

echo '<div class="menu"><img src="'.$HOME.'/design/gradient/lol.png" alt="*" />Последние запросы:</div>
<div class="podmenu">';
$chet = mysql_result(mysql_query("SELECT COUNT(id) FROM `blog_search`"),0);
$ps = mysql_query("SELECT * FROM `blog_search` ORDER BY `id` DESC LIMIT 4");
while($p = mysql_fetch_assoc($ps))
{
echo ''.$p['meta'].' (искал: '.$p['kto'].')<br />';
}
echo '</div>';

if($chet == 0) echo '<div class="podmenu"><center><b>Еще нечего не искали!</b></center></div>';
break;
}

//-----Подключаем низ-----//
require_once ('system/footer.php');
?>